package com.bonus.canteen.menu.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.menu.mapper.MenuAppRecipeMapper;
import com.bonus.canteen.menu.domain.MenuAppRecipe;
import com.bonus.canteen.menu.service.IMenuAppRecipeService;

/**
 * 移动端菜谱绑定关系Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-03
 */
@Service
public class MenuAppRecipeServiceImpl implements IMenuAppRecipeService {
    @Autowired
    private MenuAppRecipeMapper menuAppRecipeMapper;

    /**
     * 查询移动端菜谱绑定关系
     * 
     * @param id 移动端菜谱绑定关系主键
     * @return 移动端菜谱绑定关系
     */
    @Override
    public MenuAppRecipe selectMenuAppRecipeById(Long id) {
        return menuAppRecipeMapper.selectMenuAppRecipeById(id);
    }

    /**
     * 查询移动端菜谱绑定关系列表
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 移动端菜谱绑定关系
     */
    @Override
    public List<MenuAppRecipe> selectMenuAppRecipeList(MenuAppRecipe menuAppRecipe) {
        return menuAppRecipeMapper.selectMenuAppRecipeList(menuAppRecipe);
    }

    /**
     * 新增移动端菜谱绑定关系
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 结果
     */
    @Override
    public int insertMenuAppRecipe(MenuAppRecipe menuAppRecipe) {
        menuAppRecipe.setCreateTime(DateUtils.getNowDate());
        try {
            return menuAppRecipeMapper.insertMenuAppRecipe(menuAppRecipe);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改移动端菜谱绑定关系
     * 
     * @param menuAppRecipe 移动端菜谱绑定关系
     * @return 结果
     */
    @Override
    public int updateMenuAppRecipe(MenuAppRecipe menuAppRecipe) {
        menuAppRecipe.setUpdateTime(DateUtils.getNowDate());
        try {
            return menuAppRecipeMapper.updateMenuAppRecipe(menuAppRecipe);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除移动端菜谱绑定关系
     * 
     * @param ids 需要删除的移动端菜谱绑定关系主键
     * @return 结果
     */
    @Override
    public int deleteMenuAppRecipeByIds(Long[] ids) {
        return menuAppRecipeMapper.deleteMenuAppRecipeByIds(ids);
    }

    /**
     * 删除移动端菜谱绑定关系信息
     * 
     * @param id 移动端菜谱绑定关系主键
     * @return 结果
     */
    @Override
    public int deleteMenuAppRecipeById(Long id) {
        return menuAppRecipeMapper.deleteMenuAppRecipeById(id);
    }
}
